Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.xsd
Class XsdResolvers.SymbolSpace

    java.lang.Object
      org.modeshape.sequencer.xsd.XsdResolvers.SymbolSpace

Enclosing class:
  XsdResolvers

    @Immutable
    public static final class XsdResolvers.SymbolSpace

extends Object

In XML Schema, there is a distinct symbol space within each target namespace for each kind of declaration and definition component, except that within a target namespace the simple type definitions and complex type definitions share a single symbol space. See the specification for details.

Field Summary
`static XsdResolvers.SymbolSpace` | `ATTRIBUTE_DECLARATIONS`
`static XsdResolvers.SymbolSpace` | `ATTRIBUTE_GROUP_DEFINITIONS`
`static XsdResolvers.SymbolSpace` | `ELEMENT_DECLARATION`
`static XsdResolvers.SymbolSpace` | `IDENTITY_CONSTRAINT_DEFINITIONS`
`static XsdResolvers.SymbolSpace` | `MODEL_GROUP_DEFINITIONS`
`static XsdResolvers.SymbolSpace` | `TYPE_DEFINITIONS`

Constructor Summary
`XsdResolvers.SymbolSpace(String space)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_DECLARATIONS

    public static final XsdResolvers.SymbolSpace ATTRIBUTE_DECLARATIONS

### ELEMENT_DECLARATION

    public static final XsdResolvers.SymbolSpace ELEMENT_DECLARATION

### TYPE_DEFINITIONS

    public static final XsdResolvers.SymbolSpace TYPE_DEFINITIONS

### ATTRIBUTE_GROUP_DEFINITIONS

    public static final XsdResolvers.SymbolSpace ATTRIBUTE_GROUP_DEFINITIONS

### MODEL_GROUP_DEFINITIONS

    public static final XsdResolvers.SymbolSpace MODEL_GROUP_DEFINITIONS

### IDENTITY_CONSTRAINT_DEFINITIONS

    public static final XsdResolvers.SymbolSpace IDENTITY_CONSTRAINT_DEFINITIONS

Constructor Detail

### XsdResolvers.SymbolSpace

    public XsdResolvers.SymbolSpace(String space)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.